Package be.cin.mycarenet._1_0.carenet.types

# Class SingleInsurabilityResponse

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.SingleInsurabilityResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class SingleInsurabilityResponse extends Object implements Serializable

Java class for SingleInsurabilityResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SingleInsurabilityResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <sequence>
                 <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverId"/>
                 <element name="MessageFault" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageFaultType" minOccurs="0"/>
               </sequence>
               <sequence>
                 <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverDetail"/>
                 <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityResponseDetail"/>
               </sequence>
             </choice>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityRequestDetail"/>
           </sequence>
           <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleInsurabilityResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CareReceiverDetailType`
  `getCareReceiverDetail()`
  Some detailed information about the care receiver.
  `CareReceiverId`
  `getCareReceiverId()`
  The identification of the care receiver.
  `InsurabilityRequestDetail`
  `getInsurabilityRequestDetail()`
  The same data as the request.
  `InsurabilityResponseDetail`
  `getInsurabilityResponseDetail()`
  The details of the insurability response.
  `MessageFaultType`
  `getMessageFault()`
  Contains the error that occurred and a reference to the field that contains the error
  `MessageNameType`
  `getMessageName()`
  The message name.
  `String`
  `getReceiverReference()`
  Should not be provided, only for return messages.
  `String`
  `getSenderReference()`
  Contains the message reference of the sender.
  `String`
  `getVersion()`
  The version number of the message.
  `boolean`
  `isDuplicate()`
  A Boolean that indicates if the message is a duplicate.
  `boolean`
  `isSynchronous()`
  Determines if the message is received in Synchronous or Asynchronous flow.
  `boolean`
  `isTestFlag()`
  A Boolean that indicates if the message is a test message.
  `void`
  `setCareReceiverDetail(CareReceiverDetailType value)`
  Sets the value of the careReceiverDetail property.
  `void`
  `setCareReceiverId(CareReceiverId value)`
  Sets the value of the careReceiverId property.
  `void`
  `setDuplicate(boolean value)`
  Sets the value of the duplicate property.
  `void`
  `setInsurabilityRequestDetail(InsurabilityRequestDetail value)`
  Sets the value of the insurabilityRequestDetail property.
  `void`
  `setInsurabilityResponseDetail(InsurabilityResponseDetail value)`
  Sets the value of the insurabilityResponseDetail property.
  `void`
  `setMessageFault(MessageFaultType value)`
  Sets the value of the messageFault property.
  `void`
  `setMessageName(MessageNameType value)`
  Sets the value of the messageName property.
  `void`
  `setReceiverReference(String value)`
  Sets the value of the receiverReference property.
  `void`
  `setSenderReference(String value)`
  Sets the value of the senderReference property.
  `void`
  `setSynchronous(boolean value)`
  Sets the value of the synchronous property.
  `void`
  `setTestFlag(boolean value)`
  Sets the value of the testFlag property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleInsurabilityResponse

    public SingleInsurabilityResponse()

- ## Method Details

  - ### getCareReceiverDetail

    public CareReceiverDetailType getCareReceiverDetail()
    Some detailed information about the care receiver.
    Returns:
      possible object is `CareReceiverDetailType`

  - ### setCareReceiverDetail

    public void setCareReceiverDetail(CareReceiverDetailType value)
    Sets the value of the careReceiverDetail property.
    Parameters:
      `value` - allowed object is `CareReceiverDetailType`
    See Also:
      - `getCareReceiverDetail()`

  - ### getInsurabilityResponseDetail

    public InsurabilityResponseDetail getInsurabilityResponseDetail()
    The details of the insurability response.
    Returns:
      possible object is `InsurabilityResponseDetail`

  - ### setInsurabilityResponseDetail

    public void setInsurabilityResponseDetail(InsurabilityResponseDetail value)
    Sets the value of the insurabilityResponseDetail property.
    Parameters:
      `value` - allowed object is `InsurabilityResponseDetail`
    See Also:
      - `getInsurabilityResponseDetail()`

  - ### getCareReceiverId

    public CareReceiverId getCareReceiverId()
    The identification of the care receiver.
    Returns:
      possible object is `CareReceiverId`

  - ### setCareReceiverId

    public void setCareReceiverId(CareReceiverId value)
    Sets the value of the careReceiverId property.
    Parameters:
      `value` - allowed object is `CareReceiverId`
    See Also:
      - `getCareReceiverId()`

  - ### getMessageFault

    public MessageFaultType getMessageFault()
    Contains the error that occurred and a reference to the field that contains the error
    Returns:
      possible object is `MessageFaultType`

  - ### setMessageFault

    public void setMessageFault(MessageFaultType value)
    Sets the value of the messageFault property.
    Parameters:
      `value` - allowed object is `MessageFaultType`
    See Also:
      - `getMessageFault()`

  - ### getInsurabilityRequestDetail

    public InsurabilityRequestDetail getInsurabilityRequestDetail()
    The same data as the request.
    Returns:
      possible object is `InsurabilityRequestDetail`

  - ### setInsurabilityRequestDetail

    public void setInsurabilityRequestDetail(InsurabilityRequestDetail value)
    Sets the value of the insurabilityRequestDetail property.
    Parameters:
      `value` - allowed object is `InsurabilityRequestDetail`
    See Also:
      - `getInsurabilityRequestDetail()`

  - ### getMessageName

    public MessageNameType getMessageName()
    The message name. For Insurability, the possible values are 801000, 801000ERR, 801001 and 801900. This is zone 201 in the flat file version.
    Returns:
      possible object is `MessageNameType`

  - ### setMessageName

    public void setMessageName(MessageNameType value)
    Sets the value of the messageName property.
    Parameters:
      `value` - allowed object is `MessageNameType`
    See Also:
      - `getMessageName()`

  - ### getVersion

    public String getVersion()
    The version number of the message. It defines the format of the child elements and should be 2 digits long. First version = 01 It is required. This is zone 201 in the flat file version.
    Returns:
      possible object is `String`

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVersion()`

  - ### isDuplicate

    public boolean isDuplicate()
    A Boolean that indicates if the message is a duplicate. It is required. This is a part of zone 202 in the flat file version.

  - ### setDuplicate

    public void setDuplicate(boolean value)
    Sets the value of the duplicate property.

  - ### isTestFlag

    public boolean isTestFlag()
    A Boolean that indicates if the message is a test message. It is required. This is a part of zone 202 in the flat file version.

  - ### setTestFlag

    public void setTestFlag(boolean value)
    Sets the value of the testFlag property.

  - ### getSenderReference

    public String getSenderReference()
    Contains the message reference of the sender. It is a numeric code of up to 14 characters. It is required. This is zone 204 in the flat file version.
    Returns:
      possible object is `String`

  - ### setSenderReference

    public void setSenderReference(String value)
    Sets the value of the senderReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSenderReference()`

  - ### getReceiverReference

    public String getReceiverReference()
    Should not be provided, only for return messages. This is zone 205 in the flat file version.
    Returns:
      possible object is `String`

  - ### setReceiverReference

    public void setReceiverReference(String value)
    Sets the value of the receiverReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReceiverReference()`

  - ### isSynchronous

    public boolean isSynchronous()
    Determines if the message is received in Synchronous or Asynchronous flow.

  - ### setSynchronous

    public void setSynchronous(boolean value)
    Sets the value of the synchronous property.